@ECHO OFF
REM Path where the firmware will be built
SET BUILDPATH=C:\edgetx\build-edgetx

REM Path where the OpenTX source can be found
SET SRCPATH=C:\edgetx

REM Path where the Qt compiler tools can be found
SET QTPATH=C:\Qt\5.15.2

REM Firmware build options
SET CMAKEOPTIONS=-DDISABLE_COMPANION=YES -DPCB=X10 -DPCBREV=T18 -DINTERNAL_MODULE_MULTI=YES -DDEFAULT_MODE=2 -DGVARS=YES   -DLUA=YES  -DJUMPER_RELEASE=YES -DTRANSLATIONS=CN

REM Clean or create folder
if exist %BUILDPATH%\ (
        DEL /F/Q/S "%BUILDPATH%" > NUL
        RMDIR /Q/S "%BUILDPATH%"
) else (
        REM Make the Firmware build folder
        MKDIR %BUILDPATH%
)

REM Include GNU ARM Toolchain in the path
SET PATH=%PATH%;C:\Program Files (x86)\GNU Arm Embedded Toolchain\10 2020-q4-major\bin
SET C_INCLUDE_PATH=C:\Program Files (x86)\GNU Arm Embedded Toolchain\10 2020-q4-major\arm-none-eabi\include
SET CPLUS_INCLUDE_PATH=C:\Program Files (x86)\GNU Arm Embedded Toolchain\10 2020-q4-major\arm-none-eabi\include\c++\10.2.1;C:\Program Files (x86)\GNU Arm Embedded Toolchain\10 2020-q4-major\arm-none-eabi\include\c++\10.2.1\arm-none-eabi

REM Configure the build
cmake -G "MinGW Makefiles" -S %SRCPATH% -B %BUILDPATH% -DCMAKE_PREFIX_PATH=%QTPATH%\msvc2019 %CMAKEOPTIONS%

REM Build the firmware, using the maximum number of cores
mingw32-make -C %BUILDPATH% -j %NUMBER_OF_PROCESSORS% firmware

REM Change to output directory
CD %BUILDPATH%